<?php
/**
 * Single Product tabs
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/tabs/tabs.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Filter tabs and allow third parties to add their own.
 *
 * Each tab is an array containing title, callback and priority.
 * @see woocommerce_default_product_tabs()
 */
$tabs = apply_filters( 'woocommerce_product_tabs', array() );

if ( ! empty( $tabs ) ) : ?>

	<div class="accordion" id="accordion">
		<?php $card = 0; ?>
		<?php foreach ( $tabs as $key => $tab ) : ?>
			<?php $card ++; ?>
			<div class="card">
				<div class="card-header" id="heading-<?php echo esc_attr( $key ); ?>">
					<h5 class="mb-0">
						<button type="button" data-toggle="collapse" data-target="#tab-<?php echo esc_attr( $key ); ?>" aria-expanded="true" aria-controls="tab-<?php echo esc_attr( $key ); ?>">
							<?php echo $tab["title"]; ?>
						</button>
					</h5>
				</div>
				<div id="tab-<?php echo esc_attr( $key ); ?>" class="collapse <?php if( $card == 1){ echo "show"; } ?>" aria-labelledby="heading-<?php echo esc_attr( $key ); ?>" data-parent="#accordion">
					<div class="card-body">
						<?php if ( isset( $tab['callback'] ) ) { call_user_func( $tab['callback'], $key, $tab ); } ?>
					</div>
				</div>
			</div>
		<?php endforeach; ?>
	</div>

<?php endif; ?>